import { EventEmitter, OnInit } from '@angular/core';
import { SnackBarService } from '../../../ui-kit/snack-bar/snack-bar.service';
import { FrequencyService } from '../../frequency/frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyDialogContainerComponent implements OnInit {
    private frequencyService;
    private snackbar;
    currentTab: string;
    frequencyDetails: any;
    isNextDisabled: boolean;
    frequencyTab: string;
    currentTabName: string;
    frequencyData: any;
    frequencyList: {
        name: string;
        type: string;
    }[];
    selectedFrequencyData: any;
    mode: any;
    set getFrequencyDetails(frequency: any);
    selectedFrequency: EventEmitter<any>;
    closeFrequency: EventEmitter<any>;
    constructor(frequencyService: FrequencyService, snackbar: SnackBarService);
    ngOnInit(): void;
    ngOnChanges(): void;
    close(): void;
    onFrequencySelected(event: any): void;
    populateFrequency(): void;
    switchTab(frequency: any): void;
    isInvalid(): boolean;
    save(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyDialogContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyDialogContainerComponent, "app-frequency-dialog-container", never, { "mode": { "alias": "mode"; "required": false; }; "getFrequencyDetails": { "alias": "frequencyDetails"; "required": false; }; }, { "selectedFrequency": "selectedFrequency"; "closeFrequency": "closeFrequency"; }, never, never, false, never>;
}
